function [checks,Risk,Risk_qw,PctStent,CSps,PSps,TSps,EPDps] = ...
    fcn_Counterfactual_PartialEqRisk( Sigma, Mt,Mht,Mht_ht,QjFE,xi_jt,age,j,USe_jt,sigmaQ2_inv,dum_prod,rho,tj,etaQW_jht,eta_jht,...
    t, t_jht, t_ght, thg, th, th_ght, num_uniq_thg, num_uniq_th_ght, num_uniq_tj, num_uniq_t_ht, ...
    mc_jht, scale, pB_jt , p, dum_g , lnsjs0 , lnsjg , dum_ght , t_ht , mc_jt , USe , pay )
%-------------------------------------------------------------------------
%-------------------------------------------------------------------------

    
%-------------------------------------------------------------------------
%-------------------------------------------------------------------------
% set important parameters
sample=10; %MRG about 10pct of market, so need to blow up aggregate profit and surplus estimates
newMt = mean(Mt)*sample*ones(size(Mt,1),1);
newMht = Mht.*newMt(tj)./Mt(tj);
newMht_ht = Mht_ht.*grpstats(newMht./Mht,th,'mean');

% estimated parameters
thetap=Sigma(1);
Lambda=Sigma(2:3);
lambda=dum_g*Lambda;
lambda_ght=dum_ght*Lambda;
sigmaH2 = Sigma(size(dum_g,2)+2:2*size(dum_g,2)+1,:);
sigmaH2_jt = dum_g*sigmaH2;
sigmaEU2_inv = Sigma(2*size(dum_g,2)+2);
sigmaAc2_inv  = Sigma(2*size(dum_g,2)+3);
sigmaA2_inv  = Sigma(2*size(dum_g,2)+4);
gammaH = Sigma(2*size(dum_g,2)+5);

J = ones(size(age,1),1);

% Partial Eq value of risk
checks=[0,1:6:31];
TSps=zeros(1,size(checks,2));
CSps=zeros(1,size(checks,2));
PSps=zeros(1,size(checks,2));
Risk=zeros(1,size(checks,2));
Risk_qw=zeros(1,size(checks,2));
PctStent=zeros(1,size(checks,2));
%for clin = Tc_min:Tc_max
for lin = 1:size(checks,2)
    if checks(lin)==0
        EUtest=0;
        Tc=0;
    else
        EUtest=1;
        Tc = checks(lin)-1; 
    end
amcC=age-Tc-1;
sigma2_jt = 1./( USe_jt*sigmaQ2_inv + sigmaEU2_inv.*EUtest + amcC.*sigmaA2_inv + Tc.*sigmaAc2_inv );
rng(123,'twister'); %need draw of Qj-Qjt=-xi_jt here, given sigma_jt
xi_jt_sim = (sigma2_jt.^.5) .* random('Normal',0,1,size(sigma2_jt,1),1);
d_jt_nop = dum_prod*QjFE - rho*.5*sigma2_jt + xi_jt_sim;
w_signals_jt = sigma2_jt.*(amcC.*sigmaA2_inv + Tc.*sigmaAc2_inv);
sigma2_jht = gammaH*(w_signals_jt.*sigma2_jt);
d_jht_nop = d_jt_nop(tj,:) + (sigmaH2_jt(tj,:).^.5).*etaQW_jht + (sigma2_jht(tj,:).^.5).*eta_jht;
[q_jt,CS_t] = fcn_Welfare2( J, tj, thg, th, th_ght, t_ht, d_jht_nop, thetap, lambda, lambda_ght, ...
         num_uniq_thg, num_uniq_th_ght, num_uniq_tj, num_uniq_t_ht, newMht, mc_jht, scale, newMht_ht, newMt, p );
Risk(lin) = mean(sigma2_jt.^.5);
Risk_qw(lin) = sum(q_jt.*sigma2_jt.^.5)./sum(q_jt);
PctStent(lin) = sum(q_jt)./sum(grpstats(newMt,t,'mean'));
PSps(lin) = sum(q_jt.*(p-mc_jt))./sum(q_jt); %0 for excluded by Tc delay; FC no entry
CSps(lin) = sum(CS_t)./sum(q_jt);
TSps(lin) = CSps(lin)+PSps(lin);
EPDps(lin) = sum(q_jt.*(scale.*-xi_jt_sim))./sum(q_jt); %need draw of Qj-Qjt here, given sigma_jt
end
end