function [pB_jt,mc_jt,adjAV_jt,Ep_jt] ...
    = fcn_Estimate_Supply( dum_prod,  J,J_j, Sigma , dum_g , lnsjs0 , lnsjg , USe_jt , sigmaQ2_inv , amc , clinical , ...
        tj , etaQW_jht , eta_jht , thg , dum_ght , th_ght , th , Mht , p_jht , p , t_ht , Mht_ht , Mt , ...
        num_uniq_thg, num_uniq_th_ght, num_uniq_tj, num_uniq_t_ht, ...
        scale , j );

%--------------------------------------------------------------------------
%--------------------------------------------------------------------------
% Estimate parameters

%% --------------------------------------------------------------------------
%--------------------------------------------------------------------------
% test with mc=.9min(p)

mc_j = .9*grpstats(p_jht,j(tj),'min');
mc_jt = mc_j(j,:);
mc_jht = mc_jt(tj,:);
%
[d_jht,q_jt,Ep_jt,adjAV_jt,CS_t] ...
    = fcn_Welfare( J,J_j, Sigma , dum_g , lnsjs0 , lnsjg , USe_jt , sigmaQ2_inv , amc , clinical , ...
        tj , etaQW_jht , eta_jht , thg , dum_ght , th_ght , th , Mht , p_jht , mc_jht , t_ht , Mht_ht , Mt , ...
        num_uniq_thg, num_uniq_th_ght, num_uniq_tj, num_uniq_t_ht, ...
        scale );  
% Elasticities    
mean(Ep_jt)
min(Ep_jt)
[f,xi] = ksdensity(Ep_jt); 
figure
plot(xi,f);
%
B_jt = (p-mc_jt) ./ (adjAV_jt + p - mc_jt);
pB_jt=B_jt;
pB_jt(B_jt>.99,:)=.99;
pB_jt(B_jt<.01,:)=.01;
%pB_jht = pB_jt(tj);
%
pp = mc_jt + pB_jt./(1-pB_jt).*adjAV_jt;

%% --------------------------------------------------------------------------
%--------------------------------------------------------------------------
% estimate mc=Xmc*gamma

[J_jht,q_jht,dqdp_jht,CS_ht,CS_ht_nj] ...
    = fcn_Welfare0( J,J_j, Sigma , dum_g , lnsjs0 , lnsjg , USe_jt , sigmaQ2_inv , amc , clinical , ...
        tj , etaQW_jht , eta_jht , thg , dum_ght , th_ght , th , Mht , p_jht , mc_jht , t_ht , Mht_ht , Mt , ...
        num_uniq_thg, num_uniq_th_ght, num_uniq_tj, num_uniq_t_ht, ...
        scale );
AV_jht = CS_ht-CS_ht_nj;

%-----------------------------------
% Simplex method to zero in from DE grid
Xmc = dum_g;
gamma_start = (Xmc'*mc_jt) ./ sum(Xmc,1)';
%options = optimset('Display','iter','TolFun',1e-4,'TolX',2e0,'MaxFunEvals',3000,'MaxIter',100);
options = optimset('TolFun',1e-5,'TolX',1e-4,'MaxFunEvals',3000,'MaxIter',2000);
[gamma_Simplex,criterion] = fminsearch(@(gamma_start)Supply_Cfcn( ...
    dum_prod, dqdp_jht, q_jht, AV_jht, tj, num_uniq_tj, Mht, Mt, p , Xmc, gamma_start ),gamma_start,options)

gamma = gamma_Simplex;
mc_jt = Xmc*gamma;
mc_jht = mc_jt(tj,:);
%
[d_jht,q_jt,Ep_jt,adjAV_jt,CS_t] ...
    = fcn_Welfare( J,J_j, Sigma , dum_g , lnsjs0 , lnsjg , USe_jt , sigmaQ2_inv , amc , clinical , ...
        tj , etaQW_jht , eta_jht , thg , dum_ght , th_ght , th , Mht , p_jht , mc_jht , t_ht , Mht_ht , Mt , ...
        num_uniq_thg, num_uniq_th_ght, num_uniq_tj, num_uniq_t_ht, ...
        scale );  
% Elasticities    
mean(Ep_jt)
min(Ep_jt)
[f,xi] = ksdensity(Ep_jt); 
figure
plot(xi,f);
%
B_jt = (p-mc_jt) ./ (adjAV_jt + p - mc_jt);
pB_jt=B_jt;
pB_jt(B_jt>.99,:)=.99;
pB_jt(B_jt<.01,:)=.01;
%
pp = mc_jt + pB_jt./(1-pB_jt).*adjAV_jt;

end

