function P_eq = fcn_pEq( J, t, t_jht, t_ght, tj, thg, th, th_ght, d_jht_nop, thetap, lambda, lambda_ght, Mht, mc_jt, mc_jht, scale, Mt, pB_jt , p_start )
% This function takes a price vector guess and estimates deviations from 
% equilibrium FOC for given cost, preference, and bargaining parameters.

P_eq=p_start;
for y=1:max(t)
    if max(J(t==y))==0
        P_eq(t==y) = P_eq(t==y);
    else
    pmc_start=p_start(J>0)-mc_jt(J>0);
	pmc_start = pmc_start(t(J>0)==y);
    %
    tj_y = tj(t_jht==y,:)-min(tj(t_jht==y,:))+1;
    thg_y=thg(t_jht==y,:)-min(thg(t_jht==y,:))+1;
    th_y=th(t_jht==y,:)-min(th(t_jht==y,:))+1;
    th_ght_y=th_ght(t_ght==y,:)-min(th_ght(t_ght==y,:))+1;
    num_uniq_thg=numel(unique(thg_y));
    num_uniq_th_ght=numel(unique(th_ght_y));
    num_uniq_tj=numel(unique(tj_y));
    %
	%options = optimset('Display','iter','TolFun',1e-4,'TolX',2*1e0,'MaxFunEvals',3000,'MaxIter',1000);
	options = optimset('TolFun',1e-4,'TolX',2e0,'MaxFunEvals',3000,'MaxIter',1000);
 	%function pEq = fcn_pEq( tj, thg, th, th_ght, d_jht_nop, thetap, lambda, lambda_ght, Mht, mc_jht, scale, Mt, B_jt , p )
    %criterion_p_start = fcn_pEq(tj(t_jht==y,:),thg(t_jht==y,:),th(t_jht==y,:),th_ght(t_ght==y,:),...
    %    d_jht_nop(t_jht==y,:),thetap,lambda(t==y,:),lambda_ght(t_ght==y,:),Mht(t_jht==y,:),mc_jht(t_jht==y,:),scale,Mt(t==y,:),...
    %    pB_jt(t==y),p_start)
	[Pmc_eq_t,criterion_pEq] = fminsearch(@(pmc_start)pEq_Cfcn(J(t==y),tj_y,thg_y,th_y,th_ght_y,num_uniq_thg,num_uniq_th_ght,num_uniq_tj,...
        d_jht_nop(t_jht==y,:),thetap,lambda(t==y,:),lambda_ght(t_ght==y,:),Mht(t_jht==y,:),mc_jt(t==y,:),mc_jht(t_jht==y,:),scale,Mt(t==y,:),...
        pB_jt(t==y),pmc_start),pmc_start,options);
    [y,criterion_pEq]
    P_eq_t_full = mc_jt(t==y);
    P_eq_t_full(J(t==y)>0) = P_eq_t_full(J(t==y)>0)+Pmc_eq_t;
	P_eq(t==y) = P_eq_t_full;
    end
end
P_eq(J==0)=p_start(J==0);
end